Bug 630075 (CVE-2010-2769) - CVE-2010-2769 Mozilla Copy-and-paste or drag-and-drop into designMode document allows XSS (MFSA 2010-62)
Summary: CVE-2010-2769 Mozilla Copy-and-paste or drag-and-drop into designMode documen...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-2769
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-03 16:10 UTC by Josh Bressers
Modified: 2019-09-29 12:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-12 18:12:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0681 normal SHIPPED_LIVE Critical: firefox security update 2010-09-08 00:33:03 UTC

Description Josh Bressers 2010-09-03 16:10:29 UTC
Security researcher Paul Stone reported that when an HTML selection
containing JavaScript is copy-and-pasted or dropped onto a document with
designMode enabled the JavaScript will be executed within the context of
the site where the code was dropped. A malicious site could leverage this
issue in an XSS attack by persuading a user into taking such an action and
in the process running malicious JavaScript within the context of another
site.

Comment 1 Vincent Danen 2010-09-07 23:33:36 UTC
This is now public:

http://www.mozilla.org/security/announce/2010/mfsa2010-62.html

Comment 2 errata-xmlrpc 2010-09-08 00:34:15 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0681 https://rhn.redhat.com/errata/RHSA-2010-0681.html


Note You need to log in before you can comment on or make changes to this bug.